#
# spec file for package apache2-mod_rpaf (Version 0.6)
#
# Copyright (c) 2006 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org
#

# norootforbuild

Name:		apache2-mod_rpaf
BuildRequires:	apache2-devel

%define modname mod_rpaf
%define apxs /usr/sbin/apxs2
%define apache apache2
%define apache_libexecdir %(%{apxs} -q LIBEXECDIR)
%define apache_sysconfdir %(%{apxs} -q SYSCONFDIR)
%define apache_includedir %(%{apxs} -q INCLUDEDIR)
%define apache_serverroot %(%{apxs} -q PREFIX)
%define apache_localstatedir %(%{apxs} -q LOCALSTATEDIR)
%define apache_mmn        %(MMN=$(%{apxs} -q LIBEXECDIR)_MMN; test -x $MMN && $MMN)

Version:	0.6
Release:	1.1
License:	ASL 1.0
Group:		Productivity/Networking/Web/Servers
Requires:	apache2 %{apache_mmn}
Autoreqprov:	on
Summary:	Reverse proxy add forward module for Apache
URL:		http://stderr.net/apache/rpaf/
Source:		http://stderr.net/apache/rpaf/download/%{modname}-%{version}.tar.gz
BuildRoot:	%{_tmppath}/%{name}-%{version}-build

%description
mod_rpaf changes the remote address of the client visible to other
Apache modules when two conditions are satisfied. First condition is
that the remote client is actually a proxy that is defined in
httpd.conf. Secondly if there is an incoming X-Forwarded-For header
and the proxy is in it's list of known proxies it takes the last IP
from the incoming X-Forwarded-For header and changes the remote
address of the client in the request structure. It also takes the
incoming X-Host header and updates the virtualhost settings
accordingly. For Apache2 mod_proxy it takes the X-Forwared-Host header
and updates the virtualhosts.

To load the module into Apache, add it to APACHE_MODULES in
/etc/sysconfig/apache2.

%prep
%setup -n %{modname}-%{version}

%build
make %{?_smp_mflags} APXS2=%{apxs} rpaf-2.0


%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/%{apache_libexecdir}
cp -p .libs/%{modname}-2.0.so $RPM_BUILD_ROOT/%{apache_libexecdir}/mod_rpaf.so

%files
%defattr(-,root,root)
# copyright notice contained here:
%{apache_libexecdir}/%{modname}.so

%changelog -n apache2-mod_auth_rpaf
* Mon Oct 13 2008 - kristjan.kullerkann@ria.ee
- initial package (version 20081013)

